// Autore: Giuliano Pellegrini Parisi
//
// Classe: 3^ Inf. corso Sirio
//
// Data: 6 ottobre 2008
//
// Oggetto: calcolo area e perimetro rettangolo
//
// release: 0.1

using System;  // using significa usa il magazzino System

using fbblGeometriaPiana;
using fbblMessaggi;
using fbblAcquisizioni;

    class EsecuzioneProgramma
    {

        static void Main(string[] args)
        {
            //Dichiarazione variabili locali nel main

            double dato_base;
            double dato_altezza;
            double area;
            double perimetro;

            dato_base = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore della base->");     

            dato_altezza = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore dell'altezza->");

            area = StrumentiGeometriaPiana.CalcoloAreaRettangolo(dato_base,dato_altezza);
            perimetro = StrumentiGeometriaPiana.CalcoloPerimetroRettangolo(dato_base, dato_altezza);

            // Il segno + è un operatore polimorfico ossia si comporta in modi diversi a seconda
            // della situazione

            // Il valore intero di perimetro viene convertito da "int" a "string" e concatenato 
            // al contenuto che si trova tra i doppi appici

            StrumentiMessaggi.MessaggioDatoCalcolato("Il perimetro vale:", perimetro);
            StrumentiMessaggi.MessaggioDatoCalcolato("L'area vale:", area);

            dato_base = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore della base->");
            dato_altezza = StrumentiAcquisizioni.AcquisizioneDatoReale("Inserisci il valore dell'altezza->");

            area = StrumentiGeometriaPiana.CalcoloAreaRettangolo(dato_base, dato_altezza);
            perimetro = StrumentiGeometriaPiana.CalcoloPerimetroRettangolo(dato_base, dato_altezza);

            StrumentiMessaggi.MessaggioDatoCalcolato("Il perimetro vale:", perimetro);
            StrumentiMessaggi.MessaggioDatoCalcolato("L'area vale:", area);

            StrumentiMessaggi.Messaggio("Premere un tasto per chiudere il programma...",true);
            StrumentiAcquisizioni.AttesaPressioneTasto(); // attende la pressione di un qualsiasi tasto

        }


    }

